%define name	sdcc2.9
%define oname	sdcc
%define version	2.9.0
%define rel	2

Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
Summary:	SDCC - Small Device C Compiler
Group:		Development/Other
License:	GPLv2
URL:		http://sdcc.sourceforge.net/
Source:		http://sdcc.sourceforge.net/snapshots/sdcc.src/%{oname}-src-%{version}.tar.bz2
Patch0:		sdcc-2.9.0-configure.patch
Patch1:		sdcc-2.9.0-patch-out-getline.patch
Patch2:		sdcc-2.9.0-r5476-fix-doublefree.patch
Patch3:		sdcc-2.9.0-r5508-fix-bug2805333.patch
Patch4:		sdcc-2.9.0-libcpp-macro-fix-strfmt.patch
BuildRequires:	binutils
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gawk
BuildRequires:	gcc-c++
BuildRequires:	glibc-devel
BuildRequires:	gputils
BuildRequires:	latex2html
BuildRequires:	libgc-devel
BuildRequires:	libncurses-devel
BuildRequires:	libstdc++-devel
BuildRequires:	lyx
BuildRequires:	make
BuildRequires:	python
BuildRequires:	readline-devel

Requires:	gputils

Conflicts:	%{oname}

%description
SDCC is a retargettable, optimizing ANSI-C compiler that targets the
Intel 8051, Maxim 80DS390, Zilog Z80 and the Motorola 68HC08 based
MCUs. Work is in progress on supporting the Microchip PIC16 and
PIC18 series.

This package provides older, stable, version 2.9 of sdcc.

%prep
%setup -q -n %{oname}
%patch0 -p1
%patch1 -p1
%patch2 -p2
%patch3 -p1
%patch4 -p1

%build
# Disable 32 bit optimisation as gcc hangs with -O2
%ifarch %ix86
CFLAGS="$CFLAGS -O0"
%endif
%configure2_5x \
	--enable-libgc \
	--enable-doc

# Don't use parallel build
# Build fails with %%make (BS uses make -j24)
make

%install

%makeinstall_std

mv -f %{buildroot}/%{_datadir}/doc installed-docs

%files
%defattr(0644,root,root,0755)
%doc README ChangeLog installed-docs/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{oname}



%changelog

* Mon Jan 02 2012 barjac <barjac> 2.9.0-2.mga2
+ Revision: 189736
- Disable gcc optimisation in 32 bit build
- Disabled parallel build
- minor clean
- imported package sdcc2.9

  + tmb <tmb>
    - fix libcpp macro string format (P4)
    - dont built with Werror_cflags nil
    - try to force build on ecosse


* Sun Dec 26 2010 Jani Välimaa <wally@mandriva.org> 2.9.0-1mdv2011.0
+ Revision: 625236
- new name sdcc2.9
- new version 2.9.0
- add patches from Fedora
- enable parallel build

* Fri Apr 18 2008 Giuseppe Ghibò <ghibo@mandriva.com> 2.8.0-4mdv2009.0
+ Revision: 195717
- Fix permission for binaries.

* Sat Apr 12 2008 Giuseppe Ghibò <ghibo@mandriva.com> 2.8.0-3mdv2009.0
+ Revision: 192616
- Added python to BuildRequires.
- Release 2.8.0.
- Build PDF and HTML documentation
- Merge docs into main package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Fri Oct 19 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.7.0.20071018.4933-1mdv2008.1
+ Revision: 100482
- Added missing BuildRequires to flex.
- Fixed Group tag.
- First package.
- Created package structure for sdcc.

